View Single Post
Old 06-28-07, 08:26 PM   #1
northmh
Registered User
 
Join Date: Jun 2007
Location: Alpharetta, GA
Posts: 4
Talking GLX broken, FBSD 6.2, xorg 7.2, nvidia 100.14.11

I've been trying on and off for days to get the GL support in the nvidia driver to work. No matter what I do I always get this:

.
.
.
(II) LoadModule: "glx"
(II) Loading /usr/local/lib/xorg/modules/extensions//libglx.so
dlopen: /usr/local/lib/xorg/modules/extensions//libglx.so: Undefined symbol "_nv
001452gl"
(EE) Failed to load /usr/local/lib/xorg/modules/extensions//libglx.so
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (loader failed, 7)
.
.
.

I've rebuilt the nvidia driver from ports a number of times under various conditions, including doing:

# pkg_deinstall -a
# mv /usr/ports /usr/ports.old
(fresh csup)
# rm -rf /usr/local/lib/*
# rm /var/db/pkg/*
# cd /usr/ports && make index
# cd /usr/ports/x11/xorg && make install

xdriinfo fails here and I have to go into graphics/libGL and do make install and then continue the xorg install. If I try to install nvidia-driver to satisfy the GL requirement of xdriinfo, xdriinfo complains:

checking for library containing glXGetProcAddressARB... no
configure: error: cannot find GL library - make sure Mesa or other OpenGL package is installed
See `config.log' for more details.
===> Script "configure" failed unexpectedly.
Please report the problem to x11@FreeBSD.org [maintainer] and attach the
"/usr/ports/x11/xdriinfo/work/xdriinfo-1.0.1/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).


And xorg installation won't continue.

So, settling on libGL for now I continue:

# cd /usr/ports/x11/xorg && make install

(fresh xorg.conf creation using xorgconfig)

# cd /usr/ports/x11/nvidia-driver && make install
# startx

(famous error)


Suspecting that libGL broke something:

# cd /usr/ports/graphics/libGL && make deinstall
# cd /usr/ports/x11/nvidia-driver && make deinstall clean reinstall
# startx

(famous error)

I've also downloaded the latest nvidia driver, 100.14.11 and tried to use it (that is, build and install directly from source rather than using the port), but again, I get the same error.

Help?

- Matt

Last edited by northmh; 06-29-07 at 07:17 PM. Reason: Problem solved
northmh is offline   Reply With Quote